Subject: Re: bug#55184: XFS partition could not be created on NVMe disk via parted command

From: Hossein Ojani <[email-masked]>
Date: Sun, 1 May 2022 19:41:09 -0400

Hi Brian,

Sorry, my bad. missed the point.

Regards,
Hossein

On Fri, Apr 29, 2022 at 11:41 AM Brian C. Lane <[email-masked]> wrote:

> On Fri, Apr 29, 2022 at 09:12:25AM -0400, Hossein Ojani wrote:
> > Hi Team,
> >
> > I am writing this email to you because of an error that I've been
> > encountering using parted command on a NVMe disk.
> >
> > Using an Ubuntu 20.04 dist, I've been trying to create partitions on a
> NVMe
> > disk though I see errors. Below I will put just one of the conditions
> that
> > I've faced errors, but there are several.
>
>
> > *(parted) mkpart extended xfs 1074MB 1574MB *
> > Error: Invalid number.
>
> That's because an extended partition is a container for logical
> partitions, it doesn't have a filesystem on it, the logical partition
> does.
>
> Brian
>
> --
> Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart
>
>